1. Packages
  2. Packages
  3. Nutanix
  4. API Docs
  5. getClusterProfilesV2
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg
nutanix logo
Viewing docs for Nutanix v0.16.0
published on Tuesday, May 26, 2026 by Piers Karsenbarg

    Fetches a list of cluster profile entities. A profile consists of different cluster settings like Network Time Protocol(NTP), Domain Name System(DNS), and so on.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as nutanix from "@pierskarsenbarg/nutanix";
    
    const list_cluster_profiles = nutanix.getClusterProfileV2({});
    const filtered_cluster_profiles = nutanix.getClusterProfilesV2({
        filter: "clusterCount eq 62",
    });
    const paged_cluster_profiles = nutanix.getClusterProfilesV2({
        page: 1,
        limit: 10,
    });
    const ordered_cluster_profiles = nutanix.getClusterProfilesV2({
        orderBy: "name",
    });
    const selected_cluster_profiles = nutanix.getClusterProfilesV2({
        select: "name,description",
    });
    
    import pulumi
    import pulumi_nutanix as nutanix
    
    list_cluster_profiles = nutanix.get_cluster_profile_v2()
    filtered_cluster_profiles = nutanix.get_cluster_profiles_v2(filter="clusterCount eq 62")
    paged_cluster_profiles = nutanix.get_cluster_profiles_v2(page=1,
        limit=10)
    ordered_cluster_profiles = nutanix.get_cluster_profiles_v2(order_by="name")
    selected_cluster_profiles = nutanix.get_cluster_profiles_v2(select="name,description")
    
    package main
    
    import (
    	"github.com/pierskarsenbarg/pulumi-nutanix/sdk/go/nutanix"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := nutanix.GetClusterProfileV2(ctx, &nutanix.LookupClusterProfileV2Args{}, nil)
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.GetClusterProfilesV2(ctx, &nutanix.GetClusterProfilesV2Args{
    			Filter: pulumi.StringRef("clusterCount eq 62"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.GetClusterProfilesV2(ctx, &nutanix.GetClusterProfilesV2Args{
    			Page:  pulumi.IntRef(1),
    			Limit: pulumi.IntRef(10),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.GetClusterProfilesV2(ctx, &nutanix.GetClusterProfilesV2Args{
    			OrderBy: pulumi.StringRef("name"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		_, err = nutanix.GetClusterProfilesV2(ctx, &nutanix.GetClusterProfilesV2Args{
    			Select: pulumi.StringRef("name,description"),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Nutanix = PiersKarsenbarg.Nutanix;
    
    return await Deployment.RunAsync(() => 
    {
        var list_cluster_profiles = Nutanix.GetClusterProfileV2.Invoke();
    
        var filtered_cluster_profiles = Nutanix.GetClusterProfilesV2.Invoke(new()
        {
            Filter = "clusterCount eq 62",
        });
    
        var paged_cluster_profiles = Nutanix.GetClusterProfilesV2.Invoke(new()
        {
            Page = 1,
            Limit = 10,
        });
    
        var ordered_cluster_profiles = Nutanix.GetClusterProfilesV2.Invoke(new()
        {
            OrderBy = "name",
        });
    
        var selected_cluster_profiles = Nutanix.GetClusterProfilesV2.Invoke(new()
        {
            Select = "name,description",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.nutanix.NutanixFunctions;
    import com.pulumi.nutanix.inputs.GetClusterProfileV2Args;
    import com.pulumi.nutanix.inputs.GetClusterProfilesV2Args;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var list-cluster-profiles = NutanixFunctions.getClusterProfileV2(GetClusterProfileV2Args.builder()
                .build());
    
            final var filtered-cluster-profiles = NutanixFunctions.getClusterProfilesV2(GetClusterProfilesV2Args.builder()
                .filter("clusterCount eq 62")
                .build());
    
            final var paged-cluster-profiles = NutanixFunctions.getClusterProfilesV2(GetClusterProfilesV2Args.builder()
                .page(1)
                .limit(10)
                .build());
    
            final var ordered-cluster-profiles = NutanixFunctions.getClusterProfilesV2(GetClusterProfilesV2Args.builder()
                .orderBy("name")
                .build());
    
            final var selected-cluster-profiles = NutanixFunctions.getClusterProfilesV2(GetClusterProfilesV2Args.builder()
                .select("name,description")
                .build());
    
        }
    }
    
    variables:
      list-cluster-profiles:
        fn::invoke:
          function: nutanix:getClusterProfileV2
          arguments: {}
      filtered-cluster-profiles:
        fn::invoke:
          function: nutanix:getClusterProfilesV2
          arguments:
            filter: clusterCount eq 62
      paged-cluster-profiles:
        fn::invoke:
          function: nutanix:getClusterProfilesV2
          arguments:
            page: 1
            limit: 10
      ordered-cluster-profiles:
        fn::invoke:
          function: nutanix:getClusterProfilesV2
          arguments:
            orderBy: name
      selected-cluster-profiles:
        fn::invoke:
          function: nutanix:getClusterProfilesV2
          arguments:
            select: name,description
    
    pulumi {
      required_providers {
        nutanix = {
          source = "pulumi/nutanix"
        }
      }
    }
    
    data "nutanix_getclusterprofilev2" "list-cluster-profiles" {
    }
    data "nutanix_getclusterprofilesv2" "filtered-cluster-profiles" {
      filter = "clusterCount eq 62"
    }
    data "nutanix_getclusterprofilesv2" "paged-cluster-profiles" {
      page  = 1
      limit = 10
    }
    data "nutanix_getclusterprofilesv2" "ordered-cluster-profiles" {
      order_by = "name"
    }
    data "nutanix_getclusterprofilesv2" "selected-cluster-profiles" {
      select = "name,description"
    }
    

    Using getClusterProfilesV2

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getClusterProfilesV2(args: GetClusterProfilesV2Args, opts?: InvokeOptions): Promise<GetClusterProfilesV2Result>
    function getClusterProfilesV2Output(args: GetClusterProfilesV2OutputArgs, opts?: InvokeOptions): Output<GetClusterProfilesV2Result>
    def get_cluster_profiles_v2(filter: Optional[str] = None,
                                limit: Optional[int] = None,
                                order_by: Optional[str] = None,
                                page: Optional[int] = None,
                                select: Optional[str] = None,
                                opts: Optional[InvokeOptions] = None) -> GetClusterProfilesV2Result
    def get_cluster_profiles_v2_output(filter: pulumi.Input[Optional[str]] = None,
                                limit: pulumi.Input[Optional[int]] = None,
                                order_by: pulumi.Input[Optional[str]] = None,
                                page: pulumi.Input[Optional[int]] = None,
                                select: pulumi.Input[Optional[str]] = None,
                                opts: Optional[InvokeOptions] = None) -> Output[GetClusterProfilesV2Result]
    func GetClusterProfilesV2(ctx *Context, args *GetClusterProfilesV2Args, opts ...InvokeOption) (*GetClusterProfilesV2Result, error)
    func GetClusterProfilesV2Output(ctx *Context, args *GetClusterProfilesV2OutputArgs, opts ...InvokeOption) GetClusterProfilesV2ResultOutput

    > Note: This function is named GetClusterProfilesV2 in the Go SDK.

    public static class GetClusterProfilesV2 
    {
        public static Task<GetClusterProfilesV2Result> InvokeAsync(GetClusterProfilesV2Args args, InvokeOptions? opts = null)
        public static Output<GetClusterProfilesV2Result> Invoke(GetClusterProfilesV2InvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetClusterProfilesV2Result> getClusterProfilesV2(GetClusterProfilesV2Args args, InvokeOptions options)
    public static Output<GetClusterProfilesV2Result> getClusterProfilesV2(GetClusterProfilesV2Args args, InvokeOptions options)
    
    fn::invoke:
      function: nutanix:index/getClusterProfilesV2:getClusterProfilesV2
      arguments:
        # arguments dictionary
    data "nutanix_getclusterprofilesv2" "name" {
        # arguments
    }

    The following arguments are supported:

    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterCount : filter="clusterCount eq 62"
    • createTime : filter="createTime eq '2009-09-23T14:30:00-07:00'"
    • createdBy : filter="createdBy eq '984ff444-b6aa-4fa9-a8bd-37ef221cf1b0'"
    • driftedClusterCount : filter="driftedClusterCount eq 3"
    • lastUpdateTime : filter="lastUpdateTime eq '2009-09-23T14:30:00-07:00'"
    • lastUpdatedBy : filter="lastUpdatedBy eq '6debfc73-b4a9-4d68-a702-f0cfc1d721fb'"
    • name : filter="name eq 'Test Cluster Profile'"
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • clusterCount : orderby="clusterCount"
    • createTime : orderby="createTime desc"
    • createdBy : orderby="createdBy desc"
    • driftedClusterCount : orderby="driftedClusterCount desc"
    • lastUpdateTime : orderby="lastUpdateTime desc"
    • lastUpdatedBy : orderby="lastUpdatedBy desc"
    • name : orderby="name desc"
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    The following selection keys are supported:

    • allowedOverrides : select="allowedOverrides"
    • clusterCount : select="clusterCount"
    • clusters : select="clusters"
    • createTime : select="createTime"
    • createdBy : select="createdBy"
    • description : select="description"
    • driftedClusterCount : select="driftedClusterCount"
    • extId : select="extId"
    • lastUpdateTime : select="lastUpdateTime"
    • lastUpdatedBy : select="lastUpdatedBy"
    • links : select="links"
    • name : select="name"
    • nameServerIpList : select="nameServerIpList"
    • nfsSubnetWhitelist : select="nfsSubnetWhitelist"
    • ntpServerIpList : select="ntpServerIpList"
    • pulseStatus : select="pulseStatus"
    • rsyslogServerList : select="rsyslogServerList"
    • smtpServer : select="smtpServer"
    • snmpConfig : select="snmpConfig"
    • tenantId : select="tenantId"
    Filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterCount : filter="clusterCount eq 62"
    • createTime : filter="createTime eq '2009-09-23T14:30:00-07:00'"
    • createdBy : filter="createdBy eq '984ff444-b6aa-4fa9-a8bd-37ef221cf1b0'"
    • driftedClusterCount : filter="driftedClusterCount eq 3"
    • lastUpdateTime : filter="lastUpdateTime eq '2009-09-23T14:30:00-07:00'"
    • lastUpdatedBy : filter="lastUpdatedBy eq '6debfc73-b4a9-4d68-a702-f0cfc1d721fb'"
    • name : filter="name eq 'Test Cluster Profile'"
    Limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    OrderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • clusterCount : orderby="clusterCount"
    • createTime : orderby="createTime desc"
    • createdBy : orderby="createdBy desc"
    • driftedClusterCount : orderby="driftedClusterCount desc"
    • lastUpdateTime : orderby="lastUpdateTime desc"
    • lastUpdatedBy : orderby="lastUpdatedBy desc"
    • name : orderby="name desc"
    Page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    Select string

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    The following selection keys are supported:

    • allowedOverrides : select="allowedOverrides"
    • clusterCount : select="clusterCount"
    • clusters : select="clusters"
    • createTime : select="createTime"
    • createdBy : select="createdBy"
    • description : select="description"
    • driftedClusterCount : select="driftedClusterCount"
    • extId : select="extId"
    • lastUpdateTime : select="lastUpdateTime"
    • lastUpdatedBy : select="lastUpdatedBy"
    • links : select="links"
    • name : select="name"
    • nameServerIpList : select="nameServerIpList"
    • nfsSubnetWhitelist : select="nfsSubnetWhitelist"
    • ntpServerIpList : select="ntpServerIpList"
    • pulseStatus : select="pulseStatus"
    • rsyslogServerList : select="rsyslogServerList"
    • smtpServer : select="smtpServer"
    • snmpConfig : select="snmpConfig"
    • tenantId : select="tenantId"
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterCount : filter="clusterCount eq 62"
    • createTime : filter="createTime eq '2009-09-23T14:30:00-07:00'"
    • createdBy : filter="createdBy eq '984ff444-b6aa-4fa9-a8bd-37ef221cf1b0'"
    • driftedClusterCount : filter="driftedClusterCount eq 3"
    • lastUpdateTime : filter="lastUpdateTime eq '2009-09-23T14:30:00-07:00'"
    • lastUpdatedBy : filter="lastUpdatedBy eq '6debfc73-b4a9-4d68-a702-f0cfc1d721fb'"
    • name : filter="name eq 'Test Cluster Profile'"
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • clusterCount : orderby="clusterCount"
    • createTime : orderby="createTime desc"
    • createdBy : orderby="createdBy desc"
    • driftedClusterCount : orderby="driftedClusterCount desc"
    • lastUpdateTime : orderby="lastUpdateTime desc"
    • lastUpdatedBy : orderby="lastUpdatedBy desc"
    • name : orderby="name desc"
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    The following selection keys are supported:

    • allowedOverrides : select="allowedOverrides"
    • clusterCount : select="clusterCount"
    • clusters : select="clusters"
    • createTime : select="createTime"
    • createdBy : select="createdBy"
    • description : select="description"
    • driftedClusterCount : select="driftedClusterCount"
    • extId : select="extId"
    • lastUpdateTime : select="lastUpdateTime"
    • lastUpdatedBy : select="lastUpdatedBy"
    • links : select="links"
    • name : select="name"
    • nameServerIpList : select="nameServerIpList"
    • nfsSubnetWhitelist : select="nfsSubnetWhitelist"
    • ntpServerIpList : select="ntpServerIpList"
    • pulseStatus : select="pulseStatus"
    • rsyslogServerList : select="rsyslogServerList"
    • smtpServer : select="smtpServer"
    • snmpConfig : select="snmpConfig"
    • tenantId : select="tenantId"
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterCount : filter="clusterCount eq 62"
    • createTime : filter="createTime eq '2009-09-23T14:30:00-07:00'"
    • createdBy : filter="createdBy eq '984ff444-b6aa-4fa9-a8bd-37ef221cf1b0'"
    • driftedClusterCount : filter="driftedClusterCount eq 3"
    • lastUpdateTime : filter="lastUpdateTime eq '2009-09-23T14:30:00-07:00'"
    • lastUpdatedBy : filter="lastUpdatedBy eq '6debfc73-b4a9-4d68-a702-f0cfc1d721fb'"
    • name : filter="name eq 'Test Cluster Profile'"
    limit Integer
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • clusterCount : orderby="clusterCount"
    • createTime : orderby="createTime desc"
    • createdBy : orderby="createdBy desc"
    • driftedClusterCount : orderby="driftedClusterCount desc"
    • lastUpdateTime : orderby="lastUpdateTime desc"
    • lastUpdatedBy : orderby="lastUpdatedBy desc"
    • name : orderby="name desc"
    page Integer
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    The following selection keys are supported:

    • allowedOverrides : select="allowedOverrides"
    • clusterCount : select="clusterCount"
    • clusters : select="clusters"
    • createTime : select="createTime"
    • createdBy : select="createdBy"
    • description : select="description"
    • driftedClusterCount : select="driftedClusterCount"
    • extId : select="extId"
    • lastUpdateTime : select="lastUpdateTime"
    • lastUpdatedBy : select="lastUpdatedBy"
    • links : select="links"
    • name : select="name"
    • nameServerIpList : select="nameServerIpList"
    • nfsSubnetWhitelist : select="nfsSubnetWhitelist"
    • ntpServerIpList : select="ntpServerIpList"
    • pulseStatus : select="pulseStatus"
    • rsyslogServerList : select="rsyslogServerList"
    • smtpServer : select="smtpServer"
    • snmpConfig : select="snmpConfig"
    • tenantId : select="tenantId"
    filter string
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterCount : filter="clusterCount eq 62"
    • createTime : filter="createTime eq '2009-09-23T14:30:00-07:00'"
    • createdBy : filter="createdBy eq '984ff444-b6aa-4fa9-a8bd-37ef221cf1b0'"
    • driftedClusterCount : filter="driftedClusterCount eq 3"
    • lastUpdateTime : filter="lastUpdateTime eq '2009-09-23T14:30:00-07:00'"
    • lastUpdatedBy : filter="lastUpdatedBy eq '6debfc73-b4a9-4d68-a702-f0cfc1d721fb'"
    • name : filter="name eq 'Test Cluster Profile'"
    limit number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy string
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • clusterCount : orderby="clusterCount"
    • createTime : orderby="createTime desc"
    • createdBy : orderby="createdBy desc"
    • driftedClusterCount : orderby="driftedClusterCount desc"
    • lastUpdateTime : orderby="lastUpdateTime desc"
    • lastUpdatedBy : orderby="lastUpdatedBy desc"
    • name : orderby="name desc"
    page number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select string

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    The following selection keys are supported:

    • allowedOverrides : select="allowedOverrides"
    • clusterCount : select="clusterCount"
    • clusters : select="clusters"
    • createTime : select="createTime"
    • createdBy : select="createdBy"
    • description : select="description"
    • driftedClusterCount : select="driftedClusterCount"
    • extId : select="extId"
    • lastUpdateTime : select="lastUpdateTime"
    • lastUpdatedBy : select="lastUpdatedBy"
    • links : select="links"
    • name : select="name"
    • nameServerIpList : select="nameServerIpList"
    • nfsSubnetWhitelist : select="nfsSubnetWhitelist"
    • ntpServerIpList : select="ntpServerIpList"
    • pulseStatus : select="pulseStatus"
    • rsyslogServerList : select="rsyslogServerList"
    • smtpServer : select="smtpServer"
    • snmpConfig : select="snmpConfig"
    • tenantId : select="tenantId"
    filter str
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterCount : filter="clusterCount eq 62"
    • createTime : filter="createTime eq '2009-09-23T14:30:00-07:00'"
    • createdBy : filter="createdBy eq '984ff444-b6aa-4fa9-a8bd-37ef221cf1b0'"
    • driftedClusterCount : filter="driftedClusterCount eq 3"
    • lastUpdateTime : filter="lastUpdateTime eq '2009-09-23T14:30:00-07:00'"
    • lastUpdatedBy : filter="lastUpdatedBy eq '6debfc73-b4a9-4d68-a702-f0cfc1d721fb'"
    • name : filter="name eq 'Test Cluster Profile'"
    limit int
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    order_by str
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • clusterCount : orderby="clusterCount"
    • createTime : orderby="createTime desc"
    • createdBy : orderby="createdBy desc"
    • driftedClusterCount : orderby="driftedClusterCount desc"
    • lastUpdateTime : orderby="lastUpdateTime desc"
    • lastUpdatedBy : orderby="lastUpdatedBy desc"
    • name : orderby="name desc"
    page int
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select str

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    The following selection keys are supported:

    • allowedOverrides : select="allowedOverrides"
    • clusterCount : select="clusterCount"
    • clusters : select="clusters"
    • createTime : select="createTime"
    • createdBy : select="createdBy"
    • description : select="description"
    • driftedClusterCount : select="driftedClusterCount"
    • extId : select="extId"
    • lastUpdateTime : select="lastUpdateTime"
    • lastUpdatedBy : select="lastUpdatedBy"
    • links : select="links"
    • name : select="name"
    • nameServerIpList : select="nameServerIpList"
    • nfsSubnetWhitelist : select="nfsSubnetWhitelist"
    • ntpServerIpList : select="ntpServerIpList"
    • pulseStatus : select="pulseStatus"
    • rsyslogServerList : select="rsyslogServerList"
    • smtpServer : select="smtpServer"
    • snmpConfig : select="snmpConfig"
    • tenantId : select="tenantId"
    filter String
    A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the OData V4.01 URL conventions. The filter can be applied to the following fields:

    • clusterCount : filter="clusterCount eq 62"
    • createTime : filter="createTime eq '2009-09-23T14:30:00-07:00'"
    • createdBy : filter="createdBy eq '984ff444-b6aa-4fa9-a8bd-37ef221cf1b0'"
    • driftedClusterCount : filter="driftedClusterCount eq 3"
    • lastUpdateTime : filter="lastUpdateTime eq '2009-09-23T14:30:00-07:00'"
    • lastUpdatedBy : filter="lastUpdatedBy eq '6debfc73-b4a9-4d68-a702-f0cfc1d721fb'"
    • name : filter="name eq 'Test Cluster Profile'"
    limit Number
    A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set.
    orderBy String
    A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. The orderby can be applied to the following fields:

    • clusterCount : orderby="clusterCount"
    • createTime : orderby="createTime desc"
    • createdBy : orderby="createdBy desc"
    • driftedClusterCount : orderby="driftedClusterCount desc"
    • lastUpdateTime : orderby="lastUpdateTime desc"
    • lastUpdatedBy : orderby="lastUpdatedBy desc"
    • name : orderby="name desc"
    page Number
    A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results.
    select String

    A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the OData V4.01 URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned.

    The following selection keys are supported:

    • allowedOverrides : select="allowedOverrides"
    • clusterCount : select="clusterCount"
    • clusters : select="clusters"
    • createTime : select="createTime"
    • createdBy : select="createdBy"
    • description : select="description"
    • driftedClusterCount : select="driftedClusterCount"
    • extId : select="extId"
    • lastUpdateTime : select="lastUpdateTime"
    • lastUpdatedBy : select="lastUpdatedBy"
    • links : select="links"
    • name : select="name"
    • nameServerIpList : select="nameServerIpList"
    • nfsSubnetWhitelist : select="nfsSubnetWhitelist"
    • ntpServerIpList : select="ntpServerIpList"
    • pulseStatus : select="pulseStatus"
    • rsyslogServerList : select="rsyslogServerList"
    • smtpServer : select="smtpServer"
    • snmpConfig : select="snmpConfig"
    • tenantId : select="tenantId"

    getClusterProfilesV2 Result

    The following output properties are available:

    ClusterProfiles List<PiersKarsenbarg.Nutanix.Outputs.GetClusterProfilesV2ClusterProfile>
    • List of cluster profiles.
    Id string
    The provider-assigned unique ID for this managed resource.
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    ClusterProfiles []GetClusterProfilesV2ClusterProfile
    • List of cluster profiles.
    Id string
    The provider-assigned unique ID for this managed resource.
    Filter string
    Limit int
    OrderBy string
    Page int
    Select string
    cluster_profiles list(object)
    • List of cluster profiles.
    id string
    The provider-assigned unique ID for this managed resource.
    filter string
    limit number
    order_by string
    page number
    select string
    clusterProfiles List<GetClusterProfilesV2ClusterProfile>
    • List of cluster profiles.
    id String
    The provider-assigned unique ID for this managed resource.
    filter String
    limit Integer
    orderBy String
    page Integer
    select String
    clusterProfiles GetClusterProfilesV2ClusterProfile[]
    • List of cluster profiles.
    id string
    The provider-assigned unique ID for this managed resource.
    filter string
    limit number
    orderBy string
    page number
    select string
    cluster_profiles Sequence[GetClusterProfilesV2ClusterProfile]
    • List of cluster profiles.
    id str
    The provider-assigned unique ID for this managed resource.
    filter str
    limit int
    order_by str
    page int
    select str
    clusterProfiles List<Property Map>
    • List of cluster profiles.
    id String
    The provider-assigned unique ID for this managed resource.
    filter String
    limit Number
    orderBy String
    page Number
    select String

    Supporting Types

    GetClusterProfilesV2ClusterProfile

    AllowedOverrides List<string>
    • Indicates if a configuration of attached clusters can be skipped from monitoring.
    ClusterCount int
    • Count of clusters associated to a cluster profile.
    Clusters List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileCluster>
    • Managed cluster information.
    CreateTime string
    • Creation time of a cluster profile.
    CreatedBy string
    • Details of the user who created the cluster profile.
    Description string
    • Detailed description of a cluster profile.
    DriftedClusterCount int
    • The count indicates the number of clusters associated with a cluster profile that has experienced drift. Drifted clusters are those in which the configuration differs from the defined profile. For example, the NTP server has different values on a cluster as compared to the profile it is attached.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    LastUpdateTime string
    • The last updated time of a cluster profile.
    LastUpdatedBy string
    • Details of the user who has recently updated the cluster profile.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Name string
    • Name of the cluster profile.
    NameServerIpLists List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileNameServerIpList>
    • List of name servers on a cluster. This is a part of payload for both clusters create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    NfsSubnetWhiteLists List<string>
    • NFS subnet allowlist addresses. This is part of the payload for cluster update operation only.
    NtpServerIpLists List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileNtpServerIpList>
    • List of NTP servers on a cluster. This is a part of payload for both cluster create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    PulseStatuses List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfilePulseStatus>
    • Pulse status for a cluster.
    RsyslogServerLists List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileRsyslogServerList>
    • RSYSLOG Server.
    SmtpServers List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSmtpServer>
    • SMTP servers on a cluster. This is part of payload for cluster update operation only.
    SnmpConfigs List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSnmpConfig>
    • SNMP information.
    TenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    AllowedOverrides []string
    • Indicates if a configuration of attached clusters can be skipped from monitoring.
    ClusterCount int
    • Count of clusters associated to a cluster profile.
    Clusters []GetClusterProfilesV2ClusterProfileCluster
    • Managed cluster information.
    CreateTime string
    • Creation time of a cluster profile.
    CreatedBy string
    • Details of the user who created the cluster profile.
    Description string
    • Detailed description of a cluster profile.
    DriftedClusterCount int
    • The count indicates the number of clusters associated with a cluster profile that has experienced drift. Drifted clusters are those in which the configuration differs from the defined profile. For example, the NTP server has different values on a cluster as compared to the profile it is attached.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    LastUpdateTime string
    • The last updated time of a cluster profile.
    LastUpdatedBy string
    • Details of the user who has recently updated the cluster profile.
    Links []GetClusterProfilesV2ClusterProfileLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Name string
    • Name of the cluster profile.
    NameServerIpLists []GetClusterProfilesV2ClusterProfileNameServerIpList
    • List of name servers on a cluster. This is a part of payload for both clusters create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    NfsSubnetWhiteLists []string
    • NFS subnet allowlist addresses. This is part of the payload for cluster update operation only.
    NtpServerIpLists []GetClusterProfilesV2ClusterProfileNtpServerIpList
    • List of NTP servers on a cluster. This is a part of payload for both cluster create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    PulseStatuses []GetClusterProfilesV2ClusterProfilePulseStatus
    • Pulse status for a cluster.
    RsyslogServerLists []GetClusterProfilesV2ClusterProfileRsyslogServerList
    • RSYSLOG Server.
    SmtpServers []GetClusterProfilesV2ClusterProfileSmtpServer
    • SMTP servers on a cluster. This is part of payload for cluster update operation only.
    SnmpConfigs []GetClusterProfilesV2ClusterProfileSnmpConfig
    • SNMP information.
    TenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    allowed_overrides list(string)
    • Indicates if a configuration of attached clusters can be skipped from monitoring.
    cluster_count number
    • Count of clusters associated to a cluster profile.
    clusters list(object)
    • Managed cluster information.
    create_time string
    • Creation time of a cluster profile.
    created_by string
    • Details of the user who created the cluster profile.
    description string
    • Detailed description of a cluster profile.
    drifted_cluster_count number
    • The count indicates the number of clusters associated with a cluster profile that has experienced drift. Drifted clusters are those in which the configuration differs from the defined profile. For example, the NTP server has different values on a cluster as compared to the profile it is attached.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    last_update_time string
    • The last updated time of a cluster profile.
    last_updated_by string
    • Details of the user who has recently updated the cluster profile.
    links list(object)
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name string
    • Name of the cluster profile.
    name_server_ip_lists list(object)
    • List of name servers on a cluster. This is a part of payload for both clusters create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    nfs_subnet_white_lists list(string)
    • NFS subnet allowlist addresses. This is part of the payload for cluster update operation only.
    ntp_server_ip_lists list(object)
    • List of NTP servers on a cluster. This is a part of payload for both cluster create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    pulse_statuses list(object)
    • Pulse status for a cluster.
    rsyslog_server_lists list(object)
    • RSYSLOG Server.
    smtp_servers list(object)
    • SMTP servers on a cluster. This is part of payload for cluster update operation only.
    snmp_configs list(object)
    • SNMP information.
    tenant_id string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    allowedOverrides List<String>
    • Indicates if a configuration of attached clusters can be skipped from monitoring.
    clusterCount Integer
    • Count of clusters associated to a cluster profile.
    clusters List<GetClusterProfilesV2ClusterProfileCluster>
    • Managed cluster information.
    createTime String
    • Creation time of a cluster profile.
    createdBy String
    • Details of the user who created the cluster profile.
    description String
    • Detailed description of a cluster profile.
    driftedClusterCount Integer
    • The count indicates the number of clusters associated with a cluster profile that has experienced drift. Drifted clusters are those in which the configuration differs from the defined profile. For example, the NTP server has different values on a cluster as compared to the profile it is attached.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    lastUpdateTime String
    • The last updated time of a cluster profile.
    lastUpdatedBy String
    • Details of the user who has recently updated the cluster profile.
    links List<GetClusterProfilesV2ClusterProfileLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name String
    • Name of the cluster profile.
    nameServerIpLists List<GetClusterProfilesV2ClusterProfileNameServerIpList>
    • List of name servers on a cluster. This is a part of payload for both clusters create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    nfsSubnetWhiteLists List<String>
    • NFS subnet allowlist addresses. This is part of the payload for cluster update operation only.
    ntpServerIpLists List<GetClusterProfilesV2ClusterProfileNtpServerIpList>
    • List of NTP servers on a cluster. This is a part of payload for both cluster create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    pulseStatuses List<GetClusterProfilesV2ClusterProfilePulseStatus>
    • Pulse status for a cluster.
    rsyslogServerLists List<GetClusterProfilesV2ClusterProfileRsyslogServerList>
    • RSYSLOG Server.
    smtpServers List<GetClusterProfilesV2ClusterProfileSmtpServer>
    • SMTP servers on a cluster. This is part of payload for cluster update operation only.
    snmpConfigs List<GetClusterProfilesV2ClusterProfileSnmpConfig>
    • SNMP information.
    tenantId String
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    allowedOverrides string[]
    • Indicates if a configuration of attached clusters can be skipped from monitoring.
    clusterCount number
    • Count of clusters associated to a cluster profile.
    clusters GetClusterProfilesV2ClusterProfileCluster[]
    • Managed cluster information.
    createTime string
    • Creation time of a cluster profile.
    createdBy string
    • Details of the user who created the cluster profile.
    description string
    • Detailed description of a cluster profile.
    driftedClusterCount number
    • The count indicates the number of clusters associated with a cluster profile that has experienced drift. Drifted clusters are those in which the configuration differs from the defined profile. For example, the NTP server has different values on a cluster as compared to the profile it is attached.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    lastUpdateTime string
    • The last updated time of a cluster profile.
    lastUpdatedBy string
    • Details of the user who has recently updated the cluster profile.
    links GetClusterProfilesV2ClusterProfileLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name string
    • Name of the cluster profile.
    nameServerIpLists GetClusterProfilesV2ClusterProfileNameServerIpList[]
    • List of name servers on a cluster. This is a part of payload for both clusters create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    nfsSubnetWhiteLists string[]
    • NFS subnet allowlist addresses. This is part of the payload for cluster update operation only.
    ntpServerIpLists GetClusterProfilesV2ClusterProfileNtpServerIpList[]
    • List of NTP servers on a cluster. This is a part of payload for both cluster create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    pulseStatuses GetClusterProfilesV2ClusterProfilePulseStatus[]
    • Pulse status for a cluster.
    rsyslogServerLists GetClusterProfilesV2ClusterProfileRsyslogServerList[]
    • RSYSLOG Server.
    smtpServers GetClusterProfilesV2ClusterProfileSmtpServer[]
    • SMTP servers on a cluster. This is part of payload for cluster update operation only.
    snmpConfigs GetClusterProfilesV2ClusterProfileSnmpConfig[]
    • SNMP information.
    tenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    allowed_overrides Sequence[str]
    • Indicates if a configuration of attached clusters can be skipped from monitoring.
    cluster_count int
    • Count of clusters associated to a cluster profile.
    clusters Sequence[GetClusterProfilesV2ClusterProfileCluster]
    • Managed cluster information.
    create_time str
    • Creation time of a cluster profile.
    created_by str
    • Details of the user who created the cluster profile.
    description str
    • Detailed description of a cluster profile.
    drifted_cluster_count int
    • The count indicates the number of clusters associated with a cluster profile that has experienced drift. Drifted clusters are those in which the configuration differs from the defined profile. For example, the NTP server has different values on a cluster as compared to the profile it is attached.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    last_update_time str
    • The last updated time of a cluster profile.
    last_updated_by str
    • Details of the user who has recently updated the cluster profile.
    links Sequence[GetClusterProfilesV2ClusterProfileLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name str
    • Name of the cluster profile.
    name_server_ip_lists Sequence[GetClusterProfilesV2ClusterProfileNameServerIpList]
    • List of name servers on a cluster. This is a part of payload for both clusters create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    nfs_subnet_white_lists Sequence[str]
    • NFS subnet allowlist addresses. This is part of the payload for cluster update operation only.
    ntp_server_ip_lists Sequence[GetClusterProfilesV2ClusterProfileNtpServerIpList]
    • List of NTP servers on a cluster. This is a part of payload for both cluster create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    pulse_statuses Sequence[GetClusterProfilesV2ClusterProfilePulseStatus]
    • Pulse status for a cluster.
    rsyslog_server_lists Sequence[GetClusterProfilesV2ClusterProfileRsyslogServerList]
    • RSYSLOG Server.
    smtp_servers Sequence[GetClusterProfilesV2ClusterProfileSmtpServer]
    • SMTP servers on a cluster. This is part of payload for cluster update operation only.
    snmp_configs Sequence[GetClusterProfilesV2ClusterProfileSnmpConfig]
    • SNMP information.
    tenant_id str
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    allowedOverrides List<String>
    • Indicates if a configuration of attached clusters can be skipped from monitoring.
    clusterCount Number
    • Count of clusters associated to a cluster profile.
    clusters List<Property Map>
    • Managed cluster information.
    createTime String
    • Creation time of a cluster profile.
    createdBy String
    • Details of the user who created the cluster profile.
    description String
    • Detailed description of a cluster profile.
    driftedClusterCount Number
    • The count indicates the number of clusters associated with a cluster profile that has experienced drift. Drifted clusters are those in which the configuration differs from the defined profile. For example, the NTP server has different values on a cluster as compared to the profile it is attached.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    lastUpdateTime String
    • The last updated time of a cluster profile.
    lastUpdatedBy String
    • Details of the user who has recently updated the cluster profile.
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    name String
    • Name of the cluster profile.
    nameServerIpLists List<Property Map>
    • List of name servers on a cluster. This is a part of payload for both clusters create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    nfsSubnetWhiteLists List<String>
    • NFS subnet allowlist addresses. This is part of the payload for cluster update operation only.
    ntpServerIpLists List<Property Map>
    • List of NTP servers on a cluster. This is a part of payload for both cluster create and update operations. Currently, only IPv4 address and FQDN (fully qualified domain name) values are supported for the create operation.
    pulseStatuses List<Property Map>
    • Pulse status for a cluster.
    rsyslogServerLists List<Property Map>
    • RSYSLOG Server.
    smtpServers List<Property Map>
    • SMTP servers on a cluster. This is part of payload for cluster update operation only.
    snmpConfigs List<Property Map>
    • SNMP information.
    tenantId String
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).

    GetClusterProfilesV2ClusterProfileCluster

    ConfigDrifts string
    • The configuration drifts of a cluster.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    IsCompliant bool
    • Indicates if a cluster is compliant with the cluster profile.
    LastSyncedTime string
    • The last synced time of a cluster.
    ConfigDrifts string
    • The configuration drifts of a cluster.
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    IsCompliant bool
    • Indicates if a cluster is compliant with the cluster profile.
    LastSyncedTime string
    • The last synced time of a cluster.
    config_drifts string
    • The configuration drifts of a cluster.
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    is_compliant bool
    • Indicates if a cluster is compliant with the cluster profile.
    last_synced_time string
    • The last synced time of a cluster.
    configDrifts String
    • The configuration drifts of a cluster.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    isCompliant Boolean
    • Indicates if a cluster is compliant with the cluster profile.
    lastSyncedTime String
    • The last synced time of a cluster.
    configDrifts string
    • The configuration drifts of a cluster.
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    isCompliant boolean
    • Indicates if a cluster is compliant with the cluster profile.
    lastSyncedTime string
    • The last synced time of a cluster.
    config_drifts str
    • The configuration drifts of a cluster.
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    is_compliant bool
    • Indicates if a cluster is compliant with the cluster profile.
    last_synced_time str
    • The last synced time of a cluster.
    configDrifts String
    • The configuration drifts of a cluster.
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    isCompliant Boolean
    • Indicates if a cluster is compliant with the cluster profile.
    lastSyncedTime String
    • The last synced time of a cluster.
    Href string
    Rel string
    Href string
    Rel string
    href string
    rel string
    href String
    rel String
    href string
    rel string
    href str
    rel str
    href String
    rel String

    GetClusterProfilesV2ClusterProfileNameServerIpList

    ipv4s list(object)
    (Optional) ip address params.
    ipv6s list(object)
    (Optional) Ip address params.
    ipv4s List<Property Map>
    (Optional) ip address params.
    ipv6s List<Property Map>
    (Optional) Ip address params.

    GetClusterProfilesV2ClusterProfileNameServerIpListIpv4

    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefix_length number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Integer
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefixLength number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value str
    • (Required) Ip address.
    prefix_length int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.

    GetClusterProfilesV2ClusterProfileNameServerIpListIpv6

    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefix_length number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Integer
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefixLength number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value str
    • (Required) Ip address.
    prefix_length int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.

    GetClusterProfilesV2ClusterProfileNtpServerIpList

    Fqdns []GetClusterProfilesV2ClusterProfileNtpServerIpListFqdn
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    Ipv4s []GetClusterProfilesV2ClusterProfileNtpServerIpListIpv4
    (Optional) ip address params.
    Ipv6s []GetClusterProfilesV2ClusterProfileNtpServerIpListIpv6
    (Optional) Ip address params.
    fqdns list(object)
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s list(object)
    (Optional) ip address params.
    ipv6s list(object)
    (Optional) Ip address params.
    fqdns List<GetClusterProfilesV2ClusterProfileNtpServerIpListFqdn>
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s List<GetClusterProfilesV2ClusterProfileNtpServerIpListIpv4>
    (Optional) ip address params.
    ipv6s List<GetClusterProfilesV2ClusterProfileNtpServerIpListIpv6>
    (Optional) Ip address params.
    fqdns GetClusterProfilesV2ClusterProfileNtpServerIpListFqdn[]
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s GetClusterProfilesV2ClusterProfileNtpServerIpListIpv4[]
    (Optional) ip address params.
    ipv6s GetClusterProfilesV2ClusterProfileNtpServerIpListIpv6[]
    (Optional) Ip address params.
    fqdns Sequence[GetClusterProfilesV2ClusterProfileNtpServerIpListFqdn]
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s Sequence[GetClusterProfilesV2ClusterProfileNtpServerIpListIpv4]
    (Optional) ip address params.
    ipv6s Sequence[GetClusterProfilesV2ClusterProfileNtpServerIpListIpv6]
    (Optional) Ip address params.
    fqdns List<Property Map>
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s List<Property Map>
    (Optional) ip address params.
    ipv6s List<Property Map>
    (Optional) Ip address params.

    GetClusterProfilesV2ClusterProfileNtpServerIpListFqdn

    Value string
    • (Required) Ip address.
    Value string
    • (Required) Ip address.
    value string
    • (Required) Ip address.
    value String
    • (Required) Ip address.
    value string
    • (Required) Ip address.
    value str
    • (Required) Ip address.
    value String
    • (Required) Ip address.

    GetClusterProfilesV2ClusterProfileNtpServerIpListIpv4

    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefix_length number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Integer
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefixLength number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value str
    • (Required) Ip address.
    prefix_length int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.

    GetClusterProfilesV2ClusterProfileNtpServerIpListIpv6

    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefix_length number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Integer
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefixLength number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value str
    • (Required) Ip address.
    prefix_length int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.

    GetClusterProfilesV2ClusterProfilePulseStatus

    IsEnabled bool
    • Flag to indicate if pulse is enabled or not.
    PiiScrubbingLevel string
    • PII scrubbing level.
    IsEnabled bool
    • Flag to indicate if pulse is enabled or not.
    PiiScrubbingLevel string
    • PII scrubbing level.
    is_enabled bool
    • Flag to indicate if pulse is enabled or not.
    pii_scrubbing_level string
    • PII scrubbing level.
    isEnabled Boolean
    • Flag to indicate if pulse is enabled or not.
    piiScrubbingLevel String
    • PII scrubbing level.
    isEnabled boolean
    • Flag to indicate if pulse is enabled or not.
    piiScrubbingLevel string
    • PII scrubbing level.
    is_enabled bool
    • Flag to indicate if pulse is enabled or not.
    pii_scrubbing_level str
    • PII scrubbing level.
    isEnabled Boolean
    • Flag to indicate if pulse is enabled or not.
    piiScrubbingLevel String
    • PII scrubbing level.

    GetClusterProfilesV2ClusterProfileRsyslogServerList

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    IpAddresses List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileRsyslogServerListIpAddress>
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileRsyslogServerListLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Modules List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileRsyslogServerListModule>
    NetworkProtocol string
    Port int
    (Integer) SNMP port.
    ServerName string
    TenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    IpAddresses []GetClusterProfilesV2ClusterProfileRsyslogServerListIpAddress
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    Links []GetClusterProfilesV2ClusterProfileRsyslogServerListLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Modules []GetClusterProfilesV2ClusterProfileRsyslogServerListModule
    NetworkProtocol string
    Port int
    (Integer) SNMP port.
    ServerName string
    TenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ip_addresses list(object)
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    links list(object)
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    modules list(object)
    network_protocol string
    port number
    (Integer) SNMP port.
    server_name string
    tenant_id string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    ipAddresses List<GetClusterProfilesV2ClusterProfileRsyslogServerListIpAddress>
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    links List<GetClusterProfilesV2ClusterProfileRsyslogServerListLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    modules List<GetClusterProfilesV2ClusterProfileRsyslogServerListModule>
    networkProtocol String
    port Integer
    (Integer) SNMP port.
    serverName String
    tenantId String
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    ipAddresses GetClusterProfilesV2ClusterProfileRsyslogServerListIpAddress[]
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    links GetClusterProfilesV2ClusterProfileRsyslogServerListLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    modules GetClusterProfilesV2ClusterProfileRsyslogServerListModule[]
    networkProtocol string
    port number
    (Integer) SNMP port.
    serverName string
    tenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    ip_addresses Sequence[GetClusterProfilesV2ClusterProfileRsyslogServerListIpAddress]
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    links Sequence[GetClusterProfilesV2ClusterProfileRsyslogServerListLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    modules Sequence[GetClusterProfilesV2ClusterProfileRsyslogServerListModule]
    network_protocol str
    port int
    (Integer) SNMP port.
    server_name str
    tenant_id str
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    ipAddresses List<Property Map>
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    modules List<Property Map>
    networkProtocol String
    port Number
    (Integer) SNMP port.
    serverName String
    tenantId String
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).

    GetClusterProfilesV2ClusterProfileRsyslogServerListIpAddress

    ipv4s list(object)
    (Optional) ip address params.
    ipv6s list(object)
    (Optional) Ip address params.
    ipv4s List<Property Map>
    (Optional) ip address params.
    ipv6s List<Property Map>
    (Optional) Ip address params.

    GetClusterProfilesV2ClusterProfileRsyslogServerListIpAddressIpv4

    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefix_length number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Integer
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefixLength number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value str
    • (Required) Ip address.
    prefix_length int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.

    GetClusterProfilesV2ClusterProfileRsyslogServerListIpAddressIpv6

    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefix_length number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Integer
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefixLength number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value str
    • (Required) Ip address.
    prefix_length int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Href string
    Rel string
    Href string
    Rel string
    href string
    rel string
    href String
    rel String
    href string
    rel string
    href str
    rel str
    href String
    rel String

    GetClusterProfilesV2ClusterProfileRsyslogServerListModule

    LogSeverityLevel string
    Name string
    • Name of the cluster profile.
    ShouldLogMonitorFiles bool
    LogSeverityLevel string
    Name string
    • Name of the cluster profile.
    ShouldLogMonitorFiles bool
    log_severity_level string
    name string
    • Name of the cluster profile.
    should_log_monitor_files bool
    logSeverityLevel String
    name String
    • Name of the cluster profile.
    shouldLogMonitorFiles Boolean
    logSeverityLevel string
    name string
    • Name of the cluster profile.
    shouldLogMonitorFiles boolean
    log_severity_level str
    name str
    • Name of the cluster profile.
    should_log_monitor_files bool
    logSeverityLevel String
    name String
    • Name of the cluster profile.
    shouldLogMonitorFiles Boolean

    GetClusterProfilesV2ClusterProfileSmtpServer

    EmailAddress string
    SMTP email address.
    Servers List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSmtpServerServer>
    SMTP network details.
    Type string
    Type of SMTP server.
    EmailAddress string
    SMTP email address.
    Servers []GetClusterProfilesV2ClusterProfileSmtpServerServer
    SMTP network details.
    Type string
    Type of SMTP server.
    email_address string
    SMTP email address.
    servers list(object)
    SMTP network details.
    type string
    Type of SMTP server.
    emailAddress String
    SMTP email address.
    servers List<GetClusterProfilesV2ClusterProfileSmtpServerServer>
    SMTP network details.
    type String
    Type of SMTP server.
    emailAddress string
    SMTP email address.
    servers GetClusterProfilesV2ClusterProfileSmtpServerServer[]
    SMTP network details.
    type string
    Type of SMTP server.
    email_address str
    SMTP email address.
    servers Sequence[GetClusterProfilesV2ClusterProfileSmtpServerServer]
    SMTP network details.
    type str
    Type of SMTP server.
    emailAddress String
    SMTP email address.
    servers List<Property Map>
    SMTP network details.
    type String
    Type of SMTP server.

    GetClusterProfilesV2ClusterProfileSmtpServerServer

    IpAddresses List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddress>
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    Password string
    SMTP server password.
    Port int
    (Integer) SNMP port.
    Username string
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.
    IpAddresses []GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddress
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    Password string
    SMTP server password.
    Port int
    (Integer) SNMP port.
    Username string
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.
    ip_addresses list(object)
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    password string
    SMTP server password.
    port number
    (Integer) SNMP port.
    username string
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.
    ipAddresses List<GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddress>
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    password String
    SMTP server password.
    port Integer
    (Integer) SNMP port.
    username String
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.
    ipAddresses GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddress[]
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    password string
    SMTP server password.
    port number
    (Integer) SNMP port.
    username string
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.
    ip_addresses Sequence[GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddress]
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    password str
    SMTP server password.
    port int
    (Integer) SNMP port.
    username str
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.
    ipAddresses List<Property Map>
    An unique address that identifies a device on the internet or a local network in IPv4, IPv6 or format.
    password String
    SMTP server password.
    port Number
    (Integer) SNMP port.
    username String
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.

    GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddress

    Fqdns []GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressFqdn
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    Ipv4s []GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv4
    (Optional) ip address params.
    Ipv6s []GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv6
    (Optional) Ip address params.
    fqdns list(object)
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s list(object)
    (Optional) ip address params.
    ipv6s list(object)
    (Optional) Ip address params.
    fqdns List<GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressFqdn>
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s List<GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv4>
    (Optional) ip address params.
    ipv6s List<GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv6>
    (Optional) Ip address params.
    fqdns GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressFqdn[]
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv4[]
    (Optional) ip address params.
    ipv6s GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv6[]
    (Optional) Ip address params.
    fqdns Sequence[GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressFqdn]
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s Sequence[GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv4]
    (Optional) ip address params.
    ipv6s Sequence[GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv6]
    (Optional) Ip address params.
    fqdns List<Property Map>
    • (Optional) A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System.
    ipv4s List<Property Map>
    (Optional) ip address params.
    ipv6s List<Property Map>
    (Optional) Ip address params.

    GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressFqdn

    Value string
    • (Required) Ip address.
    Value string
    • (Required) Ip address.
    value string
    • (Required) Ip address.
    value String
    • (Required) Ip address.
    value string
    • (Required) Ip address.
    value str
    • (Required) Ip address.
    value String
    • (Required) Ip address.

    GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv4

    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefix_length number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Integer
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefixLength number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value str
    • (Required) Ip address.
    prefix_length int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.

    GetClusterProfilesV2ClusterProfileSmtpServerServerIpAddressIpv6

    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    Value string
    • (Required) Ip address.
    PrefixLength int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefix_length number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Integer
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value string
    • (Required) Ip address.
    prefixLength number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value str
    • (Required) Ip address.
    prefix_length int
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.
    value String
    • (Required) Ip address.
    prefixLength Number
    • (Optional, default 128) The prefix length of the network to which this host IPv6 address belongs.

    GetClusterProfilesV2ClusterProfileSnmpConfig

    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    IsEnabled bool
    • Flag to indicate if pulse is enabled or not.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSnmpConfigLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    TenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    Transports List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSnmpConfigTransport>
    (List) SNMP transport details. Each transport object supports:
    Traps List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSnmpConfigTrap>
    (List) SNMP trap details. Each trap object supports:
    Users List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSnmpConfigUser>
    (List) SNMP user information. Each user object supports:
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    IsEnabled bool
    • Flag to indicate if pulse is enabled or not.
    Links []GetClusterProfilesV2ClusterProfileSnmpConfigLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    TenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    Transports []GetClusterProfilesV2ClusterProfileSnmpConfigTransport
    (List) SNMP transport details. Each transport object supports:
    Traps []GetClusterProfilesV2ClusterProfileSnmpConfigTrap
    (List) SNMP trap details. Each trap object supports:
    Users []GetClusterProfilesV2ClusterProfileSnmpConfigUser
    (List) SNMP user information. Each user object supports:
    ext_id string
    • A globally unique identifier of an instance that is suitable for external consumption.
    is_enabled bool
    • Flag to indicate if pulse is enabled or not.
    links list(object)
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    tenant_id string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    transports list(object)
    (List) SNMP transport details. Each transport object supports:
    traps list(object)
    (List) SNMP trap details. Each trap object supports:
    users list(object)
    (List) SNMP user information. Each user object supports:
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    isEnabled Boolean
    • Flag to indicate if pulse is enabled or not.
    links List<GetClusterProfilesV2ClusterProfileSnmpConfigLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    tenantId String
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    transports List<GetClusterProfilesV2ClusterProfileSnmpConfigTransport>
    (List) SNMP transport details. Each transport object supports:
    traps List<GetClusterProfilesV2ClusterProfileSnmpConfigTrap>
    (List) SNMP trap details. Each trap object supports:
    users List<GetClusterProfilesV2ClusterProfileSnmpConfigUser>
    (List) SNMP user information. Each user object supports:
    extId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    isEnabled boolean
    • Flag to indicate if pulse is enabled or not.
    links GetClusterProfilesV2ClusterProfileSnmpConfigLink[]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    tenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    transports GetClusterProfilesV2ClusterProfileSnmpConfigTransport[]
    (List) SNMP transport details. Each transport object supports:
    traps GetClusterProfilesV2ClusterProfileSnmpConfigTrap[]
    (List) SNMP trap details. Each trap object supports:
    users GetClusterProfilesV2ClusterProfileSnmpConfigUser[]
    (List) SNMP user information. Each user object supports:
    ext_id str
    • A globally unique identifier of an instance that is suitable for external consumption.
    is_enabled bool
    • Flag to indicate if pulse is enabled or not.
    links Sequence[GetClusterProfilesV2ClusterProfileSnmpConfigLink]
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    tenant_id str
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    transports Sequence[GetClusterProfilesV2ClusterProfileSnmpConfigTransport]
    (List) SNMP transport details. Each transport object supports:
    traps Sequence[GetClusterProfilesV2ClusterProfileSnmpConfigTrap]
    (List) SNMP trap details. Each trap object supports:
    users Sequence[GetClusterProfilesV2ClusterProfileSnmpConfigUser]
    (List) SNMP user information. Each user object supports:
    extId String
    • A globally unique identifier of an instance that is suitable for external consumption.
    isEnabled Boolean
    • Flag to indicate if pulse is enabled or not.
    links List<Property Map>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    tenantId String
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    transports List<Property Map>
    (List) SNMP transport details. Each transport object supports:
    traps List<Property Map>
    (List) SNMP trap details. Each trap object supports:
    users List<Property Map>
    (List) SNMP user information. Each user object supports:
    Href string
    Rel string
    Href string
    Rel string
    href string
    rel string
    href String
    rel String
    href string
    rel string
    href str
    rel str
    href String
    rel String

    GetClusterProfilesV2ClusterProfileSnmpConfigTransport

    Port int
    (Integer) SNMP port.
    Protocol string
    (String) SNMP protocol type. Allowed values:
    Port int
    (Integer) SNMP port.
    Protocol string
    (String) SNMP protocol type. Allowed values:
    port number
    (Integer) SNMP port.
    protocol string
    (String) SNMP protocol type. Allowed values:
    port Integer
    (Integer) SNMP port.
    protocol String
    (String) SNMP protocol type. Allowed values:
    port number
    (Integer) SNMP port.
    protocol string
    (String) SNMP protocol type. Allowed values:
    port int
    (Integer) SNMP port.
    protocol str
    (String) SNMP protocol type. Allowed values:
    port Number
    (Integer) SNMP port.
    protocol String
    (String) SNMP protocol type. Allowed values:

    GetClusterProfilesV2ClusterProfileSnmpConfigTrap

    Addresses List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSnmpConfigTrapAddress>
    (Block) An unique address block that supports:
    CommunityString string
    (String) Community string (plaintext) for SNMP version 2.0.
    EngineId string
    (String) SNMP engine ID (hexadecimal string, e.g. 0x12345678).
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    Links List<PiersKarsenbarg.Nutanix.Inputs.GetClusterProfilesV2ClusterProfileSnmpConfigTrapLink>
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Port int
    (Integer) SNMP port.
    Protocol string
    (String) SNMP protocol type. Allowed values:
    ReceiverName string
    (String, max 64 chars) SNMP receiver name.
    ShouldInform bool
    (Boolean) SNMP inform mode status.
    TenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    Username string
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.
    Version string
    (String) SNMP version. Allowed values:
    Addresses []GetClusterProfilesV2ClusterProfileSnmpConfigTrapAddress
    (Block) An unique address block that supports:
    CommunityString string
    (String) Community string (plaintext) for SNMP version 2.0.
    EngineId string
    (String) SNMP engine ID (hexadecimal string, e.g. 0x12345678).
    ExtId string
    • A globally unique identifier of an instance that is suitable for external consumption.
    Links []GetClusterProfilesV2ClusterProfileSnmpConfigTrapLink
    • A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource.
    Port int
    (Integer) SNMP port.
    Protocol string
    (String) SNMP protocol type. Allowed values:
    ReceiverName string
    (String, max 64 chars) SNMP receiver name.
    ShouldInform bool
    (Boolean) SNMP inform mode status.
    TenantId string
    • globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this Id to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server).
    Username string
    (String, max 64 chars) SNMP username. Required for SNMP trap v3 version.
    Version string
    (String) SNMP version. Allowed values:
    addresses list(object)
    (Block) An unique address block that supports:
    community_string string
    (String) Community string (plaintext) for SNMP version 2.0.
    engine_id string
[...]
